Bug 852823 - unable to share loopback mounted iso from http without service restart
unable to share loopback mounted iso from http without service restart
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-29 12:51 EDT by firmanp
Modified: 2013-07-31 22:16 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 22:16:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
detail of reproduce (9.64 KB, application/octet-stream)
2012-08-29 12:51 EDT, firmanp
no flags Details

  None (edit)
Description firmanp 2012-08-29 12:51:26 EDT
Created attachment 607967 [details]
detail of reproduce

Description of problem:
detail attached

Version-Release number of selected component (if applicable):


How reproducible:
detail attached

Steps to Reproduce:
detail attached
  
Actual results:
restarting httpd.service is needed to share mounted iso
restarting httpd.service is needed to fully detach mounted iso

Expected results:
restarting httpd.service is not needed to share mounted iso
restarting httpd.service is not needed to fully detach mounted iso

Additional info:
might be related to rhbz #808795
Comment 1 firmanp 2012-08-29 12:53:11 EDT
selinux is disabled.
Comment 2 firmanp 2012-09-01 22:32:20 EDT
after downgrading my system, i can confirmed that this bug also reproducible with
kernel-3.3.7-1.fc17.x86_64
kernel-3.4.6-2.fc17.x86_64

this is fedora specific bug. after installing a test guest vm, i can confirmed that this bug IS NOT REPRODUCIBLE on ubuntu 12.04 (kernel 3.2.0, util-linux/mount 2.20.1, apache 2.2.22) and ubuntu 12.10 (kernel 3.5.0, util-linux/mount 2.20.1, apache 2.2.22).
Comment 3 firmanp 2012-09-02 10:01:40 EDT
while doing intensive test, i found this bug also affecting partition (disk/lvm), not exclusive to loopback device.


[root@light ~]# cat /etc/httpd/conf.d/iso-repo.conf 
Alias /iso /mnt/1TB/ISO
<Directory /mnt/1TB/ISO>
    Options Indexes
</Directory>

[root@light ~]# systemctl status httpd.service|grep Active
	  Active: active (running) since Sun, 02 Sep 2012 08:21:37 +0700; 12h ago

[root@light ~]# mount /dev/sdb1 /mnt/1TB/
[root@light ~]# tree -L 1 /mnt/1TB/
/mnt/1TB/
├── ISO
└── lost+found

[root@light ~]# wget -O /dev/null http://localhost/iso/
--2012-09-02 20:53:25--  http://localhost/iso/
Resolving localhost... ::1, 127.0.0.1
Connecting to localhost|::1|:80... connected.
HTTP request sent, awaiting response... 404 Not Found
2012-09-02 20:53:25 ERROR 404: Not Found.

==> /var/log/httpd/access_log <==
::1 - - [02/Sep/2012:20:53:25 +0700] "GET /iso/ HTTP/1.1" 404 202 "-" "Wget/1.13.4 (linux-gnu)"

==> /var/log/httpd/error_log <==
[Sun Sep 02 20:53:25 2012] [error] [client ::1] File does not exist: /mnt/1TB/ISO

[root@light ~]# systemctl restart httpd.service
[root@light ~]# systemctl status httpd.service|grep Active
	  Active: active (running) since Sun, 02 Sep 2012 20:54:44 +0700; 6s ago

[root@light ~]# wget -O /dev/null http://localhost/iso/
--2012-09-02 20:55:16--  http://localhost/iso/
Resolving localhost... ::1, 127.0.0.1
Connecting to localhost|::1|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 1215 (1.2K) [text/html]
Saving to: `/dev/null'

100%[============================================================================================================>] 1,215       --.-K/s   in 0s      

2012-09-02 20:55:16 (117 MB/s) - `/dev/null' saved [1215/1215]

==> /var/log/httpd/access_log <==
::1 - - [02/Sep/2012:20:55:16 +0700] "GET /iso/ HTTP/1.1" 200 1215 "-" "Wget/1.13.4 (linux-gnu)"

[root@light ~]# umount /mnt/1TB 

[root@light ~]# wget -O /dev/null http://localhost/iso/
--2012-09-02 20:56:55--  http://localhost/iso/
Resolving localhost... ::1, 127.0.0.1
Connecting to localhost|::1|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 1215 (1.2K) [text/html]
Saving to: `/dev/null'

100%[============================================================================================================>] 1,215       --.-K/s   in 0s      

2012-09-02 20:56:55 (115 MB/s) - `/dev/null' saved [1215/1215]

==> /var/log/httpd/access_log <==
::1 - - [02/Sep/2012:20:56:55 +0700] "GET /iso/ HTTP/1.1" 200 1215 "-" "Wget/1.13.4 (linux-gnu)"
Comment 4 firmanp 2012-09-02 10:03:45 EDT
this bug IS NOT REPRODUCIBLE on fresh install fedora 16 with latest update.

fedora-release-16-1.noarch
kernel-3.4.9-2.fc16.x86_64
httpd-2.2.22-2.fc16.x86_64
systemd-units-37-25.fc16.x86_64
systemd-37-25.fc16.x86_64
systemd-sysv-37-25.fc16.x86_64
util-linux-2.20.1-2.3.fc16.x86_64
Comment 5 Josh Boyer 2012-10-08 11:07:22 EDT
Are you still seeing this on F17 with the 3.5.5 or 3.5.6 updates?
Comment 6 firmanp 2012-10-08 14:18:33 EDT
(In reply to comment #5)
> Are you still seeing this on F17 with the 3.5.5 or 3.5.6 updates?

yap. it still happens even with 3.5.5-2.fc17.x86_64

heum, is 3.5.6 update for F17 out there?
Comment 7 firmanp 2012-10-10 10:23:47 EDT
just updating to 3.5.6-1.fc17.x86_64, and this it still reproducible.
Comment 8 firmanp 2012-10-12 07:47:31 EDT
it still reproducible with 3.6.1-1.fc17.x86_64
Comment 9 firmanp 2012-10-19 10:34:39 EDT
still with 3.6.2-4.fc17.x86_64
Comment 10 Fedora End Of Life 2013-07-03 19:30:58 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2013-07-31 22:16:45 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.